Investors, warrants & staking
List Warrants
Lists warrants with configuration name, investor, tags, status flags, dates and settled-unlock percentage.
GEThttps://api.toku.com/tga/list-warrants
Not available to API keys yet. It will need grants:read.
curl --request GET \
--url 'https://api.toku.com/tga/list-warrants' \
--header 'Authorization: Bearer <token>'200 response
[
{
"warrantID": "string",
"warrantName": "string",
"warrantAmount": 0,
"warrantStatus": "string",
"warrantConfigurationName": "string",
"purchasePrice": 0,
"lockupPeriodMonths": 0,
"totalValue": 0,
"agreementSignedAt": "string",
"exerciseNoticeSignedAt": "string",
"paidAt": "string",
"settledAt": "string",
"firmName": "string",
"issueDate": "string",
"expirationDate": "string",
"lockupFrequencyType": "string",
"investorFullName": "string",
"investorEmail": "string",
"tags": [
"string"
],
"isExercised": true,
"isOffPlatform": true,
"isPaid": true,
"isSigned": true,
"isUnderLockup": true,
"unlockedPercentage": 0,
"investorEntityID": "string",
"investorEntityName": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
orderBystringAvailable options: issueDate, warrantName
Response
200Successful response
warrantIDstring | nullwarrantNamestring | nullwarrantAmountnumber | nullwarrantStatusstring | nullwarrantConfigurationNamestring | nullpurchasePricenumber | nulllockupPeriodMonthsnumber | nulltotalValuenumber | nullagreementSignedAtstring | nullexerciseNoticeSignedAtstring | nullpaidAtstring | nullsettledAtstring | nullfirmNamestring | nullissueDatestring | nullexpirationDatestring | nulllockupFrequencyTypestring | nullinvestorFullNamestring | nullinvestorEmailstring | nulltagsarray | nullisExercisedboolean | nullisOffPlatformboolean | nullisPaidboolean | nullisSignedboolean | nullisUnderLockupboolean | nullunlockedPercentagenumber | nullinvestorEntityIDstring | nullinvestorEntityNamestring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits